package com.tuoheng.service;

import com.tuoheng.model.dto.LoginUser;
import com.tuoheng.model.entity.Area;
import com.tuoheng.model.entity.Marker;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tuoheng.model.query.MarkerQuery;
import com.tuoheng.until.JsonResult;

/**
* @author 小影
* @description 针对表【t_marker】的数据库操作Service
* @createDate 2023-03-07 15:21:37
*/
public interface MarkerService extends IService<Marker> {

    JsonResult index(MarkerQuery query);

    JsonResult edit(Marker entity, LoginUser loginUser);

    JsonResult deleteByIds(Long[] ids);
    /**
     * 根据区域id查询出对应营销人员
     * @param query
     * @return
     */
    JsonResult getMarkerList(MarkerQuery query);
}
